Bug 590144 - argument parsing for condor_configure_store (and likely _pool) produce misleading error messages (-add)
Summary: argument parsing for condor_configure_store (and likely _pool) produce mislea...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools
Version: Development
Hardware: All
OS: Linux
low
low
Target Milestone: 2.1
: ---
Assignee: Robert Rati
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 20:18 UTC by Matthew Farrellee
Modified: 2011-08-31 12:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-24 15:00:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Farrellee 2010-05-07 20:18:43 UTC
$ ./condor_configure_store -add -f Foo
Only 1 action may be specified

The proper argument is of course --add

Expectation is the mistake would be noticed

Comment 1 Robert Rati 2011-08-24 15:00:04 UTC
This is an artifact of python's argument parsing.  But getop and optparse are unable to tell the difference between -add and -a -d -d.  If a and d are valid options, then got argument parsers will handle them as separate arguments.


Note You need to log in before you can comment on or make changes to this bug.